TTF_GetTextSubStringForPoint(3)

NAME
TTF_GetTextSubStringForPoint - Get the portion of a text string that is closest to a point.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetTextSubStringForPoint(TTF_Text *text, int x, int y, TTF_SubString *substring);

DESCRIPTION
This will return the closest substring of text to the given point.

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

x   the x coordinate relative to the left side of the text, may be outside the bounds of the text area.

y   the y coordinate relative to the top side of the text, may be outside the bounds of the text area.

substring
    a pointer filled in with the closest substring of text to the given point.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.